STRUCT W1_NETLINK_CM(9)

NAME
struct_w1_netlink_cmd - holds the command and data

SYNOPSIS

struct w1_netlink_cmd {
  __u8 cmd;
  __u8 res;
  __u16 len;
  __u8 data[0];
};

MEMBERS

cmd
    one of enum w1_commands

res
    reserved

len
    length of data following w1_netlink_cmd

data[0]
    start address of any following data

DESCRIPTION

One or more struct w1_netlink_cmd is placed starting at w1_netlink_msg.data each with optional data.

AUTHOR

David Fries <David@Fries.net>
    Author.

COPYRIGHT